API references
Merchant API

Escalate dispute

Requests a final review of the dispute by the bank.

An escalation hold is applied to the merchant's balance to help cover the potential escalation fee. This hold is released once the dispute is resolved, regardless of the outcome. If the dispute is lost, a separate escalation fee is charged to the merchant's balance via the daily statement. The hold and fee are independent and their amounts may differ; refer to the dispute escalation documentation for specific fee schedules by region and provider.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/escalate-dispute HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
dispute_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
dispute_id string

Required. The unique identifier of the dispute (dsp_...)

Errors specific to this endpoint
NOT_FOUND

The specified dispute was not found.

INVALID_TRANSITION

The dispute is not in a state that can be escalated.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/escalate-dispute" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "dispute_id": "dsp_01kwbby4c702mbq2htbbwnywhd"
      }'
Learn how to run these code samples in your terminal by reading our guide.